Bug 1839187 - [sig-devex][Feature:ImageEcosystem][python][Slow] hot deploy for openshift python image Django example should work with hot deploy [Suite:openshift] fails
Summary: [sig-devex][Feature:ImageEcosystem][python][Slow] hot deploy for openshift py...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Samples
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks: 1841185
TreeView+ depends on / blocked
 
Reported: 2020-05-22 17:04 UTC by Gabe Montero
Modified: 2020-07-13 17:41 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1841185 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:41:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25018 0 None closed Bug 1839187: more upstream to installed template switch in image-eco (django) 2020-07-28 10:30:41 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:41:39 UTC

Description Gabe Montero 2020-05-22 17:04:42 UTC
Another use of upstream templates vs. installed ones in OCP still existed and upstream changes finally caught us:

May 22 14:18:12.797: INFO: got error "deploymentconfigs.apps.openshift.io \"django-ex\" not found" when waiting for deploymentconfig e2e-test-s2i-python-pnnbw/django-ex to be available with version 1


They switched from DCs to Deployments.

Updating test to use installed OCP templates.

If/when the official content reflects that, we'll need to update the test to look for Deployments vs. DCs

Comment 4 Gabe Montero 2020-05-29 13:51:24 UTC
this is a test case only e2e change ... no doc update needed

Comment 5 errata-xmlrpc 2020-07-13 17:41:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.